<!DOCTYPE html>
<html>

<head>
    <title>Items List</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link href="https://fonts.googleapis.com/css?family=Lato: 100,300,400,700|Luckiest+Guy|Oxygen:300,400"
        rel="stylesheet">
    <link
        href="https://fonts.googleapis.com/css2?family=Prompt:wght@300&family=Questrial&display=swap&family=Besley:wght@600&display=swap"
        rel="stylesheet">


    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">

    <link href="style.css" type="text/css" rel="stylesheet">
</head>

<body class="game-body">

    <div class="holder">
        <div id="left-side" class="left">
        </div>
        <div id="right-side" class="right">
        </div>
    </div>
    

    <script>
        let maxImgs = 0;
        startGame();
        
        function startGame(){
            maxImgs += 10; 
            clearSmilies();
            for(let i=0; i<maxImgs; i++){
                generateImg();
            }
            generateAnomaly();
        }

        function generateImg(){
            let randomTop = Math.floor(Math.random()*80 + 10);
            let randomLeft = Math.floor(Math.random()*80 + 10);

            let img = document.createElement('img');
            img.src = "smiley.png";
            img.classList.add("smiley");
            img.style.left = randomLeft+"%";
            img.style.top = randomTop+"%";

            document.getElementById("left-side").appendChild(img);
            document.getElementById("right-side").appendChild(img.cloneNode(true));

        }

        function generateAnomaly(){
            let randomTop = Math.floor(Math.random()*80 + 10);
            let randomLeft = Math.floor(Math.random()*80 + 10);

            let img = document.createElement('img');
            img.src = "smiley.png";
            img.classList.add("smiley");
            img.style.left = randomLeft+"%";
            img.style.top = randomTop+"%";

            img.onclick = () => {
                let harder = confirm("EAGLE EYES ?!! Wanna try it harder ?");
                (harder)?startGame():null;
            };

            document.getElementById("left-side").appendChild(img);
        }

        function clearSmilies(){
                let leftSide = document.getElementById("left-side");
                let rightSide = document.getElementById("right-side");

                while(leftSide.firstChild){
                    leftSide.removeChild(leftSide.firstChild);
                }
                
                while(rightSide.firstChild){
                    rightSide.removeChild(rightSide.firstChild);
                }
        }

    </script>

</body>

</html>